This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 1 failed / 6 succeeded
Started2022-11-20 14:02
Elapsed23m41s
Revisionrelease-1.3

Test Failures


capi-e2e [It] When upgrading a workload cluster using ClusterClass and testing K8S conformance [Conformance] [K8s-Upgrade] [ClusterClass] Should create and upgrade a workload cluster and eventually run kubetest 15m21s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=capi\-e2e\s\[It\]\sWhen\supgrading\sa\sworkload\scluster\susing\sClusterClass\sand\stesting\sK8S\sconformance\s\[Conformance\]\s\[K8s\-Upgrade\]\s\[ClusterClass\]\sShould\screate\sand\supgrade\sa\sworkload\scluster\sand\seventually\srun\skubetest$'
[FAILED] Timed out after 400.079s.
Timed out waiting for all MachinePool k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q-mp-0 instances to be upgraded to Kubernetes version v1.20.15
Error: function returned error: old version instances remain
    <*fmt.wrapError | 0xc000d30320>: {
        msg: "function returned error: old version instances remain",
        err: <*errors.fundamental | 0xc000546c48>{
            msg: "old version instances remain",
            stack: [0x180919a, 0x4dacc5, 0x4da1bc, 0x883a3a, 0x884942, 0x8822ad, 0x1808fa4, 0x18076c5, 0x1ca190a, 0x861c5b, 0x874ad8, 0x4704c1],
        },
    }
In [It] at: /home/prow/go/src/sigs.k8s.io/cluster-api/test/framework/machinepool_helpers.go:268 @ 01/01/01 00:00:00

				
				Click to see stdout/stderrfrom junit.e2e_suite.1.xml

Filter through log files | View test history on testgrid


Show 6 Passed Tests

Show 25 Skipped Tests

Error lines from build-log.txt

... skipping 777 lines ...
/home/prow/go/src/sigs.k8s.io/cluster-api/hack/tools/bin/kustomize-v4.5.2 build test/e2e/data/infrastructure-docker/v1beta1/main/cluster-template-ignition --load-restrictor LoadRestrictionsNone > test/e2e/data/infrastructure-docker/v1beta1/main/cluster-template-ignition.yaml
mkdir -p test/e2e/data/test-extension
/home/prow/go/src/sigs.k8s.io/cluster-api/hack/tools/bin/kustomize-v4.5.2 build test/extension/config/default > test/e2e/data/test-extension/deployment.yaml
/home/prow/go/src/sigs.k8s.io/cluster-api/hack/tools/bin/ginkgo-v2.4.0 -v --trace -poll-progress-after=10m \
	-poll-progress-interval=1m --tags=e2e --focus="\[K8s-Upgrade\]" \
	 --nodes=3 --timeout=2h --no-color=true \
	--output-dir="/logs/artifacts" --junit-report="junit.e2e_suite.1.xml" --fail-fast /home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e -- \
    -e2e.artifacts-folder="/logs/artifacts" \
    -e2e.config="/home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e/config/docker.yaml" \
    -e2e.skip-resource-cleanup=false -e2e.use-existing-cluster=false
Ginkgo detected a version mismatch between the Ginkgo CLI and the version of Ginkgo imported by your packages:
  Ginkgo CLI Version:
    2.4.0
... skipping 538 lines ...
          /home/prow/go/pkg/mod/github.com/onsi/ginkgo/v2@v2.5.0/internal/suite.go:807
------------------------------
When upgrading a workload cluster using ClusterClass and testing K8S conformance [Conformance] [K8s-Upgrade] [ClusterClass]
  Should create and upgrade a workload cluster and eventually run kubetest
  /home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e/cluster_upgrade.go:118
------------------------------
• [FAILED] [921.789 seconds]
When upgrading a workload cluster using ClusterClass and testing K8S conformance [Conformance] [K8s-Upgrade] [ClusterClass]
/home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e/cluster_upgrade_test.go:29
  [It] Should create and upgrade a workload cluster and eventually run kubetest
  /home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e/cluster_upgrade.go:118

  Begin Captured StdOut/StdErr Output >>
... skipping 8 lines ...
    kubeadmconfig.bootstrap.cluster.x-k8s.io/k8s-upgrade-and-conformance-ngc02q-mp-0-config created
    kubeadmconfig.bootstrap.cluster.x-k8s.io/k8s-upgrade-and-conformance-ngc02q-mp-0-config-cgroupfs created
    cluster.cluster.x-k8s.io/k8s-upgrade-and-conformance-ngc02q created
    machinepool.cluster.x-k8s.io/k8s-upgrade-and-conformance-ngc02q-mp-0 created
    dockermachinepool.infrastructure.cluster.x-k8s.io/k8s-upgrade-and-conformance-ngc02q-dmp-0 created

    Failed to get logs for Machine k8s-upgrade-and-conformance-ngc02q-8pjtz-xh9t4, Cluster k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q: exit status 2
    Failed to get logs for Machine k8s-upgrade-and-conformance-ngc02q-md-0-xkrhj-55d4b95997-dg6ds, Cluster k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q: exit status 2
    Failed to get logs for Machine k8s-upgrade-and-conformance-ngc02q-md-0-xkrhj-55d4b95997-dx4q5, Cluster k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q: exit status 2
    Failed to get logs for MachinePool k8s-upgrade-and-conformance-ngc02q-mp-0, Cluster k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q: exit status 2
  << End Captured StdOut/StdErr Output

  Begin Captured GinkgoWriter Output >>
    INFO: Creating namespace k8s-upgrade-and-conformance-gflxvj
    INFO: Creating event watcher for namespace "k8s-upgrade-and-conformance-gflxvj"
    INFO: Creating the workload cluster with name "k8s-upgrade-and-conformance-ngc02q" using the "upgrades-cgroupfs" template (Kubernetes v1.19.16, 1 control-plane machines, 2 worker machines)
... skipping 20 lines ...
    INFO: Waiting for the Cluster k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q to be deleted
    INFO: Deleting namespace k8s-upgrade-and-conformance-gflxvj
  << End Captured GinkgoWriter Output

  Timed out after 400.079s.
  Timed out waiting for all MachinePool k8s-upgrade-and-conformance-gflxvj/k8s-upgrade-and-conformance-ngc02q-mp-0 instances to be upgraded to Kubernetes version v1.20.15
  Error: function returned error: old version instances remain
      <*fmt.wrapError | 0xc000d30320>: {
          msg: "function returned error: old version instances remain",
          err: <*errors.fundamental | 0xc000546c48>{
              msg: "old version instances remain",
              stack: [0x180919a, 0x4dacc5, 0x4da1bc, 0x883a3a, 0x884942, 0x8822ad, 0x1808fa4, 0x18076c5, 0x1ca190a, 0x861c5b, 0x874ad8, 0x4704c1],
          },
      }
  In [It] at: /home/prow/go/src/sigs.k8s.io/cluster-api/test/framework/machinepool_helpers.go:268
... skipping 32 lines ...
[ReportAfterSuite] Autogenerated ReportAfterSuite for --junit-report
autogenerated by Ginkgo
------------------------------


Summarizing 2 Failures:
  [FAIL] When upgrading a workload cluster using ClusterClass and testing K8S conformance [Conformance] [K8s-Upgrade] [ClusterClass] [It] Should create and upgrade a workload cluster and eventually run kubetest
  /home/prow/go/src/sigs.k8s.io/cluster-api/test/framework/machinepool_helpers.go:268
  [INTERRUPTED] [SynchronizedAfterSuite] 
  /home/prow/go/src/sigs.k8s.io/cluster-api/test/e2e/e2e_suite_test.go:169

Ran 1 of 26 Specs in 1027.008 seconds
FAIL! - Interrupted by Other Ginkgo Process -- 0 Passed | 1 Failed | 0 Pending | 25 Skipped

You're using deprecated Ginkgo functionality:
=============================================
  --ginkgo.slow-spec-threshold is deprecated --slow-spec-threshold has been deprecated and will be removed in a future version of Ginkgo.  This feature has proved to be more noisy than useful.  You can use --poll-progress-after, instead, to get more actionable feedback about potentially slow specs and understand where they might be getting stuck.

To silence deprecations that can be silenced set the following environment variable:
  ACK_GINKGO_DEPRECATIONS=2.5.0

--- FAIL: TestE2E (1027.02s)
FAIL

You're using deprecated Ginkgo functionality:
=============================================
  --ginkgo.slow-spec-threshold is deprecated --slow-spec-threshold has been deprecated and will be removed in a future version of Ginkgo.  This feature has proved to be more noisy than useful.  You can use --poll-progress-after, instead, to get more actionable feedback about potentially slow specs and understand where they might be getting stuck.

To silence deprecations that can be silenced set the following environment variable:
  ACK_GINKGO_DEPRECATIONS=2.5.0

--- FAIL: TestE2E (1026.78s)
FAIL

You're using deprecated Ginkgo functionality:
=============================================
  --ginkgo.slow-spec-threshold is deprecated --slow-spec-threshold has been deprecated and will be removed in a future version of Ginkgo.  This feature has proved to be more noisy than useful.  You can use --poll-progress-after, instead, to get more actionable feedback about potentially slow specs and understand where they might be getting stuck.

To silence deprecations that can be silenced set the following environment variable:
  ACK_GINKGO_DEPRECATIONS=2.5.0

PASS


Ginkgo ran 1 suite in 18m15.300108067s

Test Suite Failed
make: *** [Makefile:776: test-e2e] Error 1
WARNING: No swap limit support
+ EXIT_VALUE=2
+ set +o xtrace
Cleaning up after docker in docker.
================================================================================
Cleaning up after docker
... skipping 5 lines ...